## Package org.apache.lucene.xmlparser

Parser that produces Lucene Query objects from XML streams.

See:
Description

Interface Summary
FilterBuilder
QueryBuilder: Implemented by objects that produce Lucene Query objects from XML streams.

Class Summary
CoreParser: Assembles a QueryBuilder which uses only core Lucene Query objects
CorePlusExtensionsParser
DOMUtils
FilterBuilderFactory
QueryBuilderFactory
QueryTemplateManager: Provides utilities for turning query form input (such as from a web page or Swing gui) into Lucene XML queries by using XSL templates.

Exception Summary
ParserException

## Package org.apache.lucene.xmlparser Description

Parser that produces Lucene Query objects from XML streams.